LSH-EXPORT-KEY(1)

NAME
lsh-export-key - Converts an s-expression to the OpenSSH/SSH2 encoding format.

SYNOPSIS
lsh-export-key [options]

DESCRIPTION
lsh-export-key is a utility which reads an s-expression on stdin, and writes the same s-expression to stdout, using the OpenSSH/SSH2 encoding format.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-c, --comment=comment
    Adds comment to output key as its comment

-o, --output-file=filename
    Write output key to filename, default is stdout

-r, --input-file=filename
    Read input key from filename, default is stdin

-s, --subject=subject
    Adds subject to the output key as its subject

--debug
    Prints huge amounts of debug information

-q, --quiet
    Suppress all warnings and diagnostic messages

--trace
    Detailed program trace

--verbose
    verbose diagnostic messages

-i, --input-format=format
    Input is in the format variant of s-expression syntax, format must be one of "transport", "canonical", "advanced" or "international"

-?, --help
    Show summary of options

--usage
    Prints a short usage message

-V, --version
    Prints the program version

SEE ALSO
lsh(1), lshd(8), sexp-conv(1), ssh-conv(1), lsh-decode-key(1).

AUTHOR
This manual page was written by Timshel Knoll <timshel@debian.org>, for the Debian GNU/Linux system (but may be used by others).